Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027763
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2014-10-03 17:282014-12-30 23:22
Reportereduardo_ArgalView Statuspublic 
Assigned Toeduardo_Argal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision2ecc4eb58cc3
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027763: Match LC Costs always displays false value even line has already been matched which is confusing

DescriptionMatch LC Costs always displays false value even line has already been matched which is confusing, having it with true value when it is processed is much more clear
Steps To ReproduceCreate a landed cost type (Telefonia) and use product Telefonía
then create a landed cost in landed cost window:
header: Organization España Currency EUR
Receipt tab: Open and select one receipt (10000183 for example) and save
Cost Tab: new record amount = 200 and save
Move to header and process
Go to purchase invoice window and select one invoice with product telefonia (10000595 for example)
move to lines and select the line using product telefonia
Press match LC Cost button
select the line enter 200 in Matched amt and flag both options is Matching adjusted and process matching
and click on done
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070703)
hgbot (developer)
2014-10-03 18:02

Repository: erp/devel/pi
Changeset: 2ecc4eb58cc30d7b1e058ad7f8adfc14c6126a31
Author: Eduardo Argal Guibert <eduardo.argal <at> openbravo.com>
Date: Fri Oct 03 17:29:54 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2ecc4eb58cc30d7b1e058ad7f8adfc14c6126a31 [^]

Fixes issue 27763: Match LC Costs always displays false

It was confusing to the user. Query was hardcoded to always get false value for the column

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0070876)
psanjuan (manager)
2014-10-10 14:17

verified.
(0070907)
umartirena (developer)
2014-10-13 16:36

Code Review Done.
(0072892)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-03 17:28 eduardo_Argal New Issue
2014-10-03 17:28 eduardo_Argal Assigned To => eduardo_Argal
2014-10-03 17:28 eduardo_Argal Modules => Core
2014-10-03 17:28 eduardo_Argal Triggers an Emergency Pack => No
2014-10-03 18:02 hgbot Checkin
2014-10-03 18:02 hgbot Note Added: 0070703
2014-10-03 18:02 hgbot Status new => resolved
2014-10-03 18:02 hgbot Resolution open => fixed
2014-10-03 18:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2ecc4eb58cc30d7b1e058ad7f8adfc14c6126a31 [^]
2014-10-10 14:17 psanjuan Note Added: 0070876
2014-10-10 14:17 psanjuan Status resolved => closed
2014-10-13 16:36 umartirena Note Added: 0070907
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072892


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker